package com.adealink.weparty.profile.edit.dialog.fragment

import com.adealink.frame.mvvm.view.viewBinding
import com.adealink.frame.util.onClick
import com.adealink.weparty.commonui.BaseFragment
import com.adealink.weparty.module.profile.ProfileModule
import com.adealink.weparty.profile.R
import com.adealink.weparty.profile.databinding.FragmentEditTalentVoiceBinding
import com.adealink.weparty.profile.edit.dialog.EditTalentVoiceDialog
import com.adealink.weparty.profile.edit.dialog.viewmodel.EditVoiceViewModel
import com.adealink.weparty.viewmodel.parentFragmentViewModels

class VoiceFragment : BaseFragment(R.layout.fragment_edit_talent_voice) {

    private val binding by viewBinding(FragmentEditTalentVoiceBinding::bind)

    private val viewModel by parentFragmentViewModels<EditVoiceViewModel, EditTalentVoiceDialog>(
        EditTalentVoiceDialog::class.java
    )

    override fun initViews() {
        super.initViews()
        //binding.vSound.setSoundUrl()
        binding.btnRecord.onClick {

        }
    }

    override fun loadData() {
        super.loadData()
        ProfileModule.getMyUserInfo()?.gender
    }

}